<?php
if (!defined ('JA_newslight')){
	define ('JA_newslight', 1);
	require_once ('ja_newslight/common.php');

	//Process the buildin css file
	$addcss = intval (trim( $params->get( 'addcss', 1 )));
	$addcsstohead = intval (trim( $params->get( 'addcsstohead', 0 )));

	if ($addcss) {
		//Insert link to head (onece)
		JHTML::stylesheet('ja-newslight.css', 'modules/mod_janewslight/ja_newslight/');
	}
}
?>

<?php
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
define('_READ_MORE','Read more...');
global $mainframe;

JPluginHelper::importPlugin( 'content' );

$database 					=& JFactory::getDBO();
$user 						=& JFactory::getUser();

$addcss 		= trim( $params->get( 'addcss' ) );
$addcsstohead 	= trim( $params->get( 'addcsstohead' ) );
$catid 			= trim( $params->get( 'catid' ) );
$maxchars 		= intval (trim( $params->get( 'maxchars', 200 ) ));
$width 			= intval (trim( $params->get( 'width', 100 ) ));
$height 		= intval (trim( $params->get( 'height', 100 ) ));
$showintro 		= $params->get( 'showintro', 0 );
$showimage 		= $params->get( 'showimage', 0 );
$showreadmore 	= $params->get( 'showreadmore', 0 );
$cols			= intval (trim( $params->get( 'cols', 2 ) ));
$numbercontent 	= $params->get( 'numbercontent' , 1);
$showreadall = $params->get( 'showreadall' , 0);

$access 	= !$mainframe->getCfg( 'shownoauth' );
$nullDate 	= $database->getNullDate();

$params->set( 'image', 		0 );
$params->set( 'intro_only', 		1 );
$params->set( 'hide_author', 		1 );
$params->set( 'hide_createdate', 	0 );
$params->set( 'hide_modifydate', 	1 );
$params->set( 'link_titles', 		1 );

if ($cols > 0) {
	$modwidth = round(100 / $cols, 2) ;
	$l = 0;
	$modStyle = JA_News::calModStyle ($cols);
	$isrowopen = false;

	$rows = JA_News::getNews ($catid, $numbercontent);
	if (!count($rows)) return;
	echo "<div class=\"ja-newscatwrap\">";
	for ($k=0;$k<count($rows);++$k){
		$row = $rows[$k];

		// Output
		if ($l == 0){
			//Begin a row
			echo "<div class=\"ja-newsblock clearfix\">\n";
			$isrowopen = true;
		}
		echo "<div class=\"ja-newsitem{$modStyle[$l]['class']}\" style=\"width: {$modStyle[$l]['width']};\">";
		echo "<div class=\"ja-newsitem-inner\" style=\"width:{$modStyle[$l]['subwidth']};\">\n";

		$link = JRoute::_(ContentHelperRoute::getArticleRoute($row->slug, $row->catslug, $row->sectionid));
		$row->text 	= $row->introtext;
		$mainframe->triggerEvent( 'onPrepareContent', array( &$row, &$params, 0 ), true );
		$row->introtext = $row->text;

		$image = JA_News::replaceImage ($row, $maxchars, $showimage, $width, $height);

		//Show the latest news
		echo "<div class=\"ja-newscontent\">\n";
		echo $image. "\n";
		echo "<a href=\"$link\" class=\"ja-newstitle\" title=\"".($showintro ? $row->title : $row->introtext1)."\">{$row->title}</a>\n";
		if ($showintro){
			if ($maxchars)
				echo "{$row->introtext1}\n";
			  else
				echo "{$row->introtext}\n";
			if ($showreadmore) echo "<a href=\"$link\" class=\"readon\">"._READ_MORE."</a>";
		}
		echo "</div>\n";
		echo "</div></div>\n";
		$l++;
		if ($isrowopen && ($l == $cols || $k == (count ($rows)-1))){
			//End a row
			echo "</div>\n";
			echo "<span class=\"article_seperator\">&nbsp;</span>";
			$l = 0;
			$isrowopen = false;
		}
	}
	if($showreadall){
		$readAll = JRoute::_(ContentHelperRoute::getCategoryRoute($rows[0]->catslug, $rows[0]->sectionid));
		echo "<a href=\"$readAll\" title=\"View all news in this category\" class=\"readon\"> View all news ... </a><br />";
	}
	echo "</div>";
}
?>
