<?php
defined( '_JEXEC' ) or die( 'Restricted access' );

$database 					=& JFactory::getDBO();
$user 						=& JFactory::getUser();

$catid 			= 	$params->get('catid','');
$direction 		= 	$params->get('direction','vir');
$animAttr 		= 	$params->get('animAttr','top');
$number 		= 	$params->get('number',5);
$openWidth		= 	$params->get('openWidth',200);
$openHeight		= 	$params->get('openHeight',200);
$smallSize 		= 	$params->get('smallSize',100);
$open 			= 	$params->get('open',0);
$link_titles	= 	$params->get( 'link_titles', 0 );
$readmore		= 	$params->get( 'readmore', 0 );
$numofchars		= 	$params->get( 'numofchars', 0 );
$duration		= 	$params->get( 'duration', 400 );

$noauth 			= !$mainframe->getCfg( 'shownoauth' );
$nullDate 			= $database->getNullDate();
$params->set( 'intro_only' , 1);

// query to determine article count
$query = "SELECT a.id, a.introtext , a.images, a.attribs, a.title, a.state, a.access"
."\n FROM #__content AS a"
."\n INNER JOIN #__categories AS cc ON cc.id = a.catid"
."\n INNER JOIN #__sections AS s ON s.id = a.sectionid"
."\n WHERE a.state = 1"
	. ( $noauth ? "\n AND a.access <= " . (int) $user->get('gid',0) . " AND cc.access <= " . (int) $user->get('gid',0) . " AND s.access <= " . (int) $user->get('gid',0) : '' )
."\n AND (a.publish_up = " . $database->Quote( $nullDate ) . " OR a.publish_up <= NOW() ) "
."\n AND (a.publish_down = " . $database->Quote( $nullDate ) . " OR a.publish_down >= NOW() )"
."\n AND a.catid = " . (int) $catid
."\n AND cc.published = 1"
."\n AND s.published = 1"
."\n ORDER BY a.ordering LIMIT ".$number;

$database->setQuery($query);
$rows = $database->loadObjectList();
?>


<?php

function contentText($string,$numofchars) {
global $current_charset;
	if($numofchars && strlen($string) > $numofchars){
		$string = substr($string,0,$numofchars);
		$endpos = strrpos ($string,' ');
		$string = substr($string,0,$endpos);
	}

		$trans_tbl = array("&lt;" => "<", "&gt;" => ">", "&amp;" => "&");
		return strtr(htmlentities($string, ENT_NOQUOTES, $current_charset), $trans_tbl);

}


function contentlinkInfo( &$row, $readmore, $link_titles ) {
	$user 	=& JFactory::getUser();
	$row->link_on 	= '';
	$row->link_text	= '';
	if ($readmore || $link_titles) {
		if ( $row->access <= $user->get('gid',0) ) {
			$row->link_on = JRoute::_( 'index.php?option=com_content&view=article&id=' . $row->id);
			if ( $readmore) {
				//$row->link_text = 'readmore';
				$row->link_text = JText::_('READ MORE');
				$row->link_text = str_replace(': %s','...',$row->link_text);
			}
		} else {
			$row->link_on = JRoute::_( 'index.php?option=com_registration&task=register' );
			if ( $readmore ) {
				$row->link_text	= JText::_('READ MORE REGISTER');
			}
		}
	}
}
?>


<script type="text/javascript" src="modules/mod_janewsmoo/ja_newsmoo/ja_newsmoo.js"></script>
<div id="ja-newsmoo-container">
	  <ul id="ja-newsmoo-wrap">
		<?php
		//foreach ( $contents as $content ){
		//
		for($i=0;$i<count($rows);$i++){
			$row = $rows[$i];
            //echo "<pre>Current:";print_r($row);
			$row->text 		= contentText($row->introtext,$numofchars);
			// echo "<pre>Current:";print_r($row);exit;
			//$row->images 	= $row->images;
			$row->groups 	= '';
			$row->readmore 	= $readmore;
			$row->metadesc 	= '';
			$row->metakey 	= '';
			$row->access 	= '';
			$row->created 	= '';
			$row->modified 	= '';

			$params->set('image', 1);
			JPluginHelper::importPlugin( 'content' );
			$results = $mainframe->triggerEvent( 'onPrepareContent', array( &$row, &$params, null ), true );

			//$row->introtext 		= $row->text;
			contentlinkInfo ($row, $readmore, $link_titles);
			$regex = "/\<img.*\/\>/";
			preg_match ($regex, $row->introtext, $matches);
			$row->text = preg_replace ($regex, '', $row->introtext);
			$img = count($matches)?$matches[0]:"";
            $row->text 		= contentText($row->text,$numofchars);
			if ($link_titles) $title = "<a href=\"".$row->link_on."\" title=\"".$row->title."\">".$row->title."</a>";
			else $title = $row->title;
			echo '<li class="ja-newsmoo">';
			echo $img;
			echo '<span class="ja-newsmoo-title">'.$title.'</span>';
			echo '<span class="ja-newsmoo-desc">'.$row->text.'</span>';
			echo '<span class="readon"><a href="'.$row->link_on.'" title="'.$row->link_text.'">'.$row->link_text.'</a></span>';
			echo '</li>';
		}
		?>

</ul></div>
<script type="text/javascript">
	function janewsmooInit() {
	var newsmoo = new JANewsMoo($ES('#ja-newsmoo-wrap .ja-newsmoo'),{<?php echo "openWidth:$openWidth,openHeight:$openHeight,smallSize:$smallSize,open:$open,direction:'$direction',durationtime:$duration,animAttr:'$animAttr'"; ?>});
	}
	//window.addEvent('domready',janewsmooInit);
	janewsmooInit();
</script>
